Bug 230891 - textproc/scim-bridge: Fix build with Clang 6
Summary: textproc/scim-bridge: Fix build with Clang 6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL: http://beefy11.nyi.freebsd.org/data/h...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-25 14:35 UTC by Tobias Kortkamp
Modified: 2019-08-17 06:50 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ashish)


Attachments
textproc__scim-bridge.diff (881 bytes, patch)
2018-08-25 14:35 UTC, Tobias Kortkamp
no flags Details | Diff
Update to 0.4.17 (6.25 KB, patch)
2018-11-05 11:43 UTC, Ashish SHUKLA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2018-08-25 14:35:30 UTC
The build fails with Clang 6 and soon the port will be marked as
BROKEN on 12.0 and 11.2 if we do not act.
Comment 1 Tobias Kortkamp freebsd_committer 2018-08-25 14:35:46 UTC
Created attachment 196531 [details]
textproc__scim-bridge.diff
Comment 2 commit-hook freebsd_committer 2018-09-08 09:19:50 UTC
A commit references this bug:

Author: tobik
Date: Sat Sep  8 09:19:13 UTC 2018
New revision: 479238
URL: https://svnweb.freebsd.org/changeset/ports/479238

Log:
  textproc/scim-bridge: Mark as broken on systems using Clang 6

  scim-bridge-agent-signal-listener.cpp:67:9: error: no matching function for call to 'send'
          send (pipe_in, '\0', sizeof (char), MSG_NOSIGNAL);
          ^~~~
  /usr/include/sys/socket.h:680:9: note: candidate function not viable: no known conversion from 'char' to 'const void *' for 2nd argument
  ssize_t send(int, const void *, size_t, int);
          ^

  There was no maintainer feedback and it is doubtful that my proposed
  fix in the PR is correct.

  PR:		230891

Changes:
  head/textproc/scim-bridge/Makefile
Comment 3 Nathan 2018-09-09 20:50:01 UTC
Can this be closed? Seems a commit has referenced it
Comment 4 Tobias Kortkamp freebsd_committer 2018-09-10 11:15:26 UTC
(In reply to Nathan from comment #3)
No, read the commit message.  It's not fixed.  Probably an update
to 0.4.17 [1] will fix the build with Clang 6 too.

[1] https://github.com/scim-im/scim-bridge
Comment 5 Tobias Kortkamp freebsd_committer 2018-11-02 11:39:41 UTC
With 10.4 EOL this port now does not build anywhere.  Should we deprecate it?
Comment 6 Ashish SHUKLA freebsd_committer 2018-11-05 11:42:10 UTC
Hi Tobias,

Appreciate your taking look at this PR, and sorry for the lack of timely follow-up on my part.

(In reply to Tobias Kortkamp from comment #4)

I'm able to build latest version with clang 6.0.0 on my 11.2-amd64 desktop, although have yet to perform a poudriere build.

(In reply to Tobias Kortkamp from comment #5)

Only if it doesn't build on 11.x, and 12.x after update.

Thanks!
Comment 7 Ashish SHUKLA freebsd_committer 2018-11-05 11:43:12 UTC
Created attachment 198961 [details]
Update to 0.4.17

Update to 0.4.17 yet to be poudriere tested though.
Comment 8 Tobias Kortkamp freebsd_committer 2019-04-09 09:15:59 UTC
FYI the port was now marked as deprecated with expiration date of 2019-05-08
by antoine@ in ports r498264.
Comment 9 Rene Ladan freebsd_committer 2019-08-11 18:33:02 UTC
Any news on this, or should we remove this port instead?
Comment 10 commit-hook freebsd_committer 2019-08-17 06:49:52 UTC
A commit references this bug:

Author: ashish
Date: Sat Aug 17 06:49:31 UTC 2019
New revision: 509138
URL: https://svnweb.freebsd.org/changeset/ports/509138

Log:
  Remove expired port:
  2019-05-08 textproc/scim-bridge: Broken for more than 6 months

  PR:		230891

Changes:
  head/MOVED
  head/textproc/Makefile
  head/textproc/scim-bridge/
Comment 11 Ashish SHUKLA freebsd_committer 2019-08-17 06:50:53 UTC
(In reply to Rene Ladan from comment #9)

Sorry for inactivity on my part. I went ahead and removed it.